import React, { ReactNode } from 'react';
import { StatusEnum } from './enums';
export type InputElementType<Value> = {
    disabled?: boolean;
    label?: string | ReactNode;
    message?: ReactNode;
    name: string;
    onBlur?: (value?: Value | null, e?: React.FocusEvent) => void;
    onChange?: (value?: Value | null, e?: React.MouseEvent | React.ChangeEvent | null) => void;
    onClick?: (value?: Value | null, e?: React.MouseEvent) => void;
    onFocus?: (value?: Value | null, e?: React.FocusEvent) => void;
    placeholder?: string;
    status?: StatusEnum;
    value?: Value | null;
};
