export type Merge<A, B> = {
    [K in keyof A | keyof B]: K extends keyof A & keyof B ? A[K] | B[K] : K extends keyof B ? B[K] : K extends keyof A ? A[K] : never;
};
export type Nullable<T> = {
    [P in keyof T]: T[P] | null;
};
export type DotPrefix<T extends string> = T extends '' ? '' : `.${T}`;
export type DotNestedKeys<T> = (T extends object ? {
    [K in Exclude<keyof T, symbol>]: `${K}${DotPrefix<DotNestedKeys<T[K]>>}`;
}[Exclude<keyof T, symbol>] : '') extends infer D ? Extract<D, string> : never;
